////////////////////////////////////////////////////////////////////////////
// Modulo        : z_iss_wf_status.mod
// Criado por    : Daniel Becker Bighelini
// Modificado em : 22/09/2016
// Objetivo      : Triggers do objeto de Workflow da ocorrencia.
////////////////////////////////////////////////////////////////////////////

// Monitora a mudanca de status das tarefas que entrarao nos status PENDENTE/REABRIR
// Exceto tarefas de inicio e termino de grupo
MODIFY iss_wf POST_CI z_iss_wf_change_status_iss (persistent_id, status, task, iss) 3000 FILTER EVENT("INSERT UPDATE") && (status {}) && (status { -> 'PEND'} || status { -> 'REOPEN'}) && (task != 'GRPSTART') && (task != 'GRPEND');

// Monitora a mudanca de status das tarefas que foram concluidas
// Exceto tarefas que foram canceladas pois significa que o ticket foi cancelado
MODIFY iss_wf POST_CI z_iss_wf_change_status_close_iss (persistent_id, status, task, iss, completion_date) 3100 FILTER EVENT("INSERT UPDATE") && (status {}) && (completion_date { -> NOT_NULL}) && (status != 'CNCL');
